Bug 187913 - Review Request: mysql-query-browser
Review Request: mysql-query-browser
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Package Reviews List
:
: 189959 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 197881
  Show dependency treegraph
 
Reported: 2006-04-04 10:37 EDT by Dennis Gilmore
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-17 12:09:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mysql-query-browser strace (10.71 KB, text/plain)
2006-05-08 10:28 EDT, Dawid Zamirski
no flags Details

  None (edit)
Description Dennis Gilmore 2006-04-04 10:37:48 EDT
Spec Name or Url: http://ausil.us/packages/mysql-query-browser.spec
SRPM Name or Url: http://ausil.us/packages/mysql-query-browser-1.1.18-1.src.rpm
Description: 
The MySQL Query Browser is a graphical tool provided by MySQL AB for creating,
executing, and optimizing queries in a graphical environment. Where the MySQL
Administrator is designed to administer a MySQL server, the MySQL Query
Browser is designed to help you query and analyze data stored within your MySQL
database.
Comment 1 Dennis Gilmore 2006-04-05 07:50:43 EDT
Fix  for fc4 it needs a slightly different configure switch 
 
Spec: http://ausil.us/packages/mysql-query-browser.spec 
SRPM: http://ausil.us/packages/mysql-query-browser-1.1.18-2.fc5.src.rpm 
 
 
Comment 2 Mike McGrath 2006-04-06 12:27:35 EDT
Looks good, couple of things.  
- Source0 does not exist:
http://dev.mysql.com/get/Downloads/MySQLAdministrationSuite/mysql-query-browser-1.1.18.tar.gz
- %find_lang requres gettext (This prevents a successful mock build)
- Duplicate BuildRequires: openssl-devel is provided by mysql-devel
- Duplicate BuildRequires: libglade2-devel is provided gtkhtml3-devel
Comment 3 Dennis Gilmore 2006-04-06 14:41:14 EDT
It seems mysql  has removed the ability to download directly from them. they   
are forcing you to choose a mirror.  so i chose pair networks  as they are  
listed as one of the two primary mirrors.  
  
SRPM: http://ausil.us/packages/mysql-query-browser-1.1.18-3.fc5.src.rpm  
SPEC: http://ausil.us/packages/mysql-query-browser.spec 
 
fixed the Build Requires  though i built in mock ok on fc4 and fc5  on both 
X86_64 and i386  
 
Comment 4 Michel Alexandre Salim 2006-04-12 16:48:06 EDT
It works fine for me on i386, but under x86_64, attempting to actually use a
database causes a segfault:

/usr/bin/mysql-query-browser: line 20: 16829 Segmentation fault      $PRG-bin
Comment 5 Dennis Gilmore 2006-04-12 17:55:57 EDT
hmm  kinda strange.  i have run succesfully on ppc, x86 and x86_64  can you
please get me a strace  of when you load the program.  I may be slow to reply as
im in Australia  on vacation. 
Comment 6 Mike McGrath 2006-04-17 15:30:17 EDT
I was unable to re-create this error on my FC5 box.  Everything seemed fine. 
Michel Alandre Salim: did you happen to notice any errors/warnings when you
compiled the package?
Comment 7 Ville Skyttä 2006-04-26 04:38:48 EDT
FE-NEW -> FE-REVIEW?  Status is already "assigned".
Comment 8 Remi Collet 2006-04-26 04:45:19 EDT
*** Bug 189959 has been marked as a duplicate of this bug. ***
Comment 9 Mike McGrath 2006-05-02 11:39:29 EDT
Can anyone else re-create this error?  If not I'm going to wipe my 64 machine
with a clean install and try it again.  If it works I'm going to approve this.
Comment 10 Dennis Gilmore 2006-05-05 16:43:04 EDT
im unable to recreate it i just did a select query on a table returning over 
100,000 rows on my x86_64 box 
Comment 11 Mike McGrath 2006-05-06 18:22:47 EDT
Pretty close, under buildrequires you need to add desktop-file-utils.  Without
it this package will fail to build in mock.
Comment 12 Dennis Gilmore 2006-05-07 14:37:18 EDT
i could have sworn i had desktop-file-utils in there. but it is now  thanks:)
SRPM: http://ausil.us/packages/mysql-query-browser-1.1.18-4.fc5.src.rpm
SPEC: http://ausil.us/packages/mysql-query-browser.spec
Comment 13 Dawid Zamirski 2006-05-08 10:28:38 EDT
Created attachment 128746 [details]
mysql-query-browser strace

Hi

I'm able to reproduce the segfault on x86_64. It only happens when I try to
connect to remote mysql server. It seems that it fials to find libc.mo locale
file on my system. Connecting to localhost works ok.
Comment 14 Dennis Gilmore 2006-05-08 13:47:43 EDT
not that it is neccesarily the answer  but what version of mysql  is your 
remote server? AFAIK the mysql tools are intended to support version 4 and 5 
DB's only.  I have version 5 DB's here
Comment 15 Dawid Zamirski 2006-05-08 14:28:30 EDT
I've played a bit with the query browser and first I made the following symlink:

ln -s /usr/share/locale/en_GB/LC_MESSAGES/libc.mo
/usr/share/locale/en/LC_MESSAGES/libc.mo

just to make sure that it can find the libc.mo file, but it didn't solve the
problem (still segfault at line 20). I removed the database name in "Default
Schema" field and I was able to connect sucessfully. However when I click on the
database name in the Schemata panel the segfault occurs. The mysql server
version is 4.0.23
Comment 16 Dawid Zamirski 2006-05-08 15:02:36 EDT
Additionally the Windows version of mysql-query-browser (ver: 1.1.20) seems to
work ok with the remote server. 
I have run mysql-query-browser on my FC5 system through gdb with the following
results:

(gdb) run
Starting program: /usr/bin/mysql-query-browser-bin
[Thread debugging using libthread_db enabled]
[New Thread 46912496382720 (LWP 32391)]
Detaching after fork from child process 32394.
[New Thread 1084229968 (LWP 32398)]
[Thread 1084229968 (LWP 32398) exited]
[New Thread 1084229968 (LWP 32399)]

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 1084229968 (LWP 32399)]
0x0000003009e41b36 in mysql_select_db () from
/usr/lib64/mysql/libmysqlclient_r.so.15
(gdb) bt
#0  0x0000003009e41b36 in mysql_select_db () from
/usr/lib64/mysql/libmysqlclient_r.so.15
#1  0x0000000000510f04 in myx_use_schema (mysql=0x0, schema=Variable "schema" is
not available.
) at myx_library.c:743
#2  0x000000000050e3f4 in use_schema_store_old_one (mysql=0xa90530,
schema_name=0xa8dc08 "maxmini",
    old_schema_name=0x40a000c0) at myx_catalogs.c:112
#3  0x000000000050f871 in myx_get_schema_tables (mysql=0xa90530,
catalog_name=Variable "catalog_name" is not available.
) at myx_catalogs.c:156
#4  0x0000000000439928 in TableFetchRequest::execute (this=Variable "this" is
not available.
) at MQQueryDispatcher.cc:122
#5  0x000000000043658a in MQQueryDispatcher::mysql_query_thread (this=0xc5a4a0)
at MQQueryDispatcher.cc:376
#6  0x000000300b02d30f in Glib::Thread::create () from /usr/lib64/libglibmm-2.4.so.1
#7  0x0000003002642e04 in g_thread_create_full () from /usr/lib64/libglib-2.0.so.0
#8  0x0000003001e062ea in start_thread () from /lib64/libpthread.so.0
#9  0x0000003000dcb73d in clone () from /lib64/libc.so.6
#10 0x0000000000000000 in ?? ()

also I found a related bug in mysql bugzilla: 
http://bugs.mysql.com/bug.php?id=8524
Comment 17 Dennis Gilmore 2006-05-15 15:03:18 EDT
I can reproduce this connecting to a fc3 box  running 
mysql-server-3.23.58-16.FC3.1  but I am unable to reproduce connecting to 
4.1.x or 5.x  servers.

I am going to install 4.0.x on a test box  and see what happens
Comment 18 Adrian Reber 2006-05-17 11:14:51 EDT
This blocks FC-REVIEW and not FE-REVIEW. This seems wrong. So the correct number
to block would be 163778 instead of 188267.
Comment 19 Mike McGrath 2006-05-17 11:35:53 EDT
Sorry bout that.
Comment 20 Mike McGrath 2006-07-01 18:00:01 EDT
Has anyone made any headway on this?
Comment 21 Dennis Gilmore 2006-07-01 19:52:16 EDT
I still havent been able to figure out why it crashes when connecting 64bit 
client to old 32 bit servers.  In my day to day use it works fine.
Comment 22 Mike McGrath 2006-09-14 23:11:45 EDT
Sorry for the delay, I didn't realize this was an upstream bug.  

- Looks good
- Builds in mock
- Matches packaging guidelines
- contains required files
- contains desktop

rpmlint no output for binaries see below

Non blocker
rpmlint from the srpm:
W: mysql-query-browser mixed-use-of-spaces-and-tabs

APPROVED
Comment 23 Remi Collet 2006-09-17 02:22:11 EDT
Too late i think....

MySQL does not continue providing update for this tools.

The new bundle "MySQL GUI Tools" provide MySQL Administrator, Query Browser and
Workbench (and FC5 RPM). 

Including the suite in the Extras still a great idea, at least for non i386 arch
and for rawhide.
Comment 24 Dennis Gilmore 2006-09-17 12:09:06 EDT
All built and pushed.

as for MySQL gui tools.  yes i am aware of them  and have started work on 
packaging them.  they have written it to use lua 5.0  we have available lua 
5.1   so i need to learn  whats needed to port it over.  The tarball  for 
mysql-gui-tools contails beta and alpha software. 

But I do intend  to get the whole gammut of mysql auite of tools in.

Note You need to log in before you can comment on or make changes to this bug.